#!/bin/bash

# Comment out this line to specify your JAVA path:
#export JAVA_HOME=path/to/jre

export APP_BASEDIR=$(pwd)
export JAVA_COMMAND=$JAVA_HOME/bin/java
export APP_LOG_FILE=$APP_BASEDIR/logs/allegro-obsdeb-server-1.4.15.1.log
export APP_CONF_FILE=$APP_BASEDIR/conf/obsdeb-server.config
export JAVA_OPTS="-server -Xms512m -Xmx2g -XX:MaxPermSize=128M -XX:+UseConcMarkSweepGC -XX:+CMSParallelRemarkEnabled -XX:+UseCMSInitiatingOccupancyOnly -XX:CMSInitiatingOccupancyFraction=50 -XX:+ScavengeBeforeFullGC -XX:+CMSScavengeBeforeRemark"

# Comment out if oracle connection need TNS_ADMIN file:
#export JAVA_OPTS="${JAVA_OPTS} -Doracle.net.tns_admin=\\brest\tnsnames"

cd $APP_BASEDIR

echo "==============================================================================="
echo "."
echo "  Allegro-Obsdeb :: Server Application"
echo "."
echo "  JAVA: ${JAVA_COMMAND}"
echo "."
echo "  JAVA_OPTS: ${JAVA_OPTS}"
echo "."
echo "  log file: ${APP_LOG_FILE}"
echo "."
echo "==============================================================================="
echo "."

$JAVA_COMMAND $JAVA_OPTS -Dadagio.basedir=$APP_BASEDIR -Dcatalina.base=$APP_BASEDIR -Dsynchro-server.config=$APP_CONF_FILE -jar lib/jetty-runner.jar --lib lib $* lib/adagio-synchro-server-3.14.6.war 
exitcode=$?
echo "Stop Allegro-Obsdeb :: Server Application with exitcode: $exitcode"
exit $exitcode

 
  exitcode=$?

  if [ ! "$exitcode" -eq  "88" ]; then
    # quit now!
    exit $exitcode
  fi
done